% ------------------------------------------------------------------- 
% crbf_warp_pts.m
% ------------------------------------------------------------------- 
% Warp points using RBF.
%
% Usage:
% [x1] = cgtm_warp_pts (x,z, w, sigma_kernel);
% 
% 01/26/00

function [x1] = crbf_warp_pts (x,z, w, sigma_kernel);


% check input.
if nargin ~= 4
  disp ('# ERROR #: crbf_warp_pts -- wrong input !');
  help crbf_warp_pts; return;
end;

[phi] = crbf_gen (x, z, sigma_kernel);
x1    = phi * w;
